ALERT: Some images may not load properly within the Knowledge Base Article. If you see a broken image, please right-click and select 'Open image in a new tab'. We apologize for this inconvenience.

Error when upgrading from 10.7.3 to 10.7.5, while installing selinux-policy-targeted-3.13.1-268.el7_9.2.noarch

book

Article ID: 225876

calendar_today

Updated On:

Products

Messaging Gateway

Issue/Introduction

Following the update of Messaging Gateway (SMG) to version 10.7.5 an error appears in the update_log file indicating a problem installing the selinux-policy-targetted-3.13.1-268.el7_9.2.noarch rpm:

  Updating   : selinux-policy-targeted-3.13.1-268.el7_9.2.noarch        155/343
Re-declaration of typealias unconfined_execmem_exec_t
Failed to create node
Bad typealias declaration at /etc/selinux/targeted/tmp/modules/400/execmem/cil:1
semodule:  Failed!

This error appears in all SMG systems which previously had version 10.6.6 installed but does not appear in systems which have never run SMG version 10.6.6.

Cause

This is the result of the upgrade of the underlying operating system when updating from SMG 10.6.6 to SMG 10.7.x

Resolution

This error has no effect on the operation of Messaging Gateway and may be safely ignored.

The underlying cause of the error message will be addressed in a future SMG release.